Sessions
Get session metadata
Returns CP-stored session metadata plus visible parent, sibling, and child session links; transcript bodies remain daemon-local.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/orgs/string/sessions/string"{ "id": "string", "parentSession": { "id": "string", "agentId": "string", "agentName": "string", "platform": "string", "title": "string" }, "siblingSessions": [ { "id": "string", "agentId": "string", "agentName": "string", "platform": "string", "title": "string" } ], "childSessions": [ { "id": "string", "agentId": "string", "agentName": "string", "platform": "string", "title": "string" } ], "agentId": "string", "agentName": "string", "launchId": "string", "platform": "string", "channel": "string", "thread": "string", "phase": "string", "link": "string", "summary": "string", "title": "string", "status": "string", "lastActivityAt": "string", "usage": { "reportedAt": "string", "totalTokens": 0, "inputTokens": 0, "outputTokens": 0, "thoughtTokens": 0, "cachedReadTokens": 0, "cachedWriteTokens": 0, "contextUsed": 0, "contextSize": 0, "costAmount": 0, "costCurrency": "string" }, "triggeredBy": "string", "hookKind": "webhook", "channelName": "string", "triggeredByName": "string", "threadUrl": "string", "runtime": "string", "model": "string", "effort": "string", "fastMode": true, "permissionMode": "string", "outputMode": "string", "daemonId": "string", "contentSetId": "string", "workspaceIsolation": "shared", "executorDaemonId": "string", "stayedHomeReason": "not_on_group", "activityState": "string", "visibility": "private", "externalProvider": "string", "externalResolution": "pending", "feishuRegion": "feishu", "visibilityState": "pending", "canChangeVisibility": true, "canContinue": true, "continuationUnavailableReason": "unauthorized", "accessSyncDegraded": true, "accessIssues": [ { "provider": "string", "region": "string", "reason": "authorization" } ], "participants": [ { "agentId": "string", "name": "string", "primary": true } ], "tenantScope": "string", "contentPurgedAt": "string", "contentPurgedReason": "string", "startedAt": "string", "endedAt": "string"}